corrections in setup.py
authorEmmanuel Garette <egarette@cadoles.com>
Mon, 16 Sep 2013 12:02:55 +0000 (14:02 +0200)
committerEmmanuel Garette <egarette@cadoles.com>
Mon, 16 Sep 2013 12:02:55 +0000 (14:02 +0200)
setup.py

index 1b73eea..1e67a75 100644 (file)
--- a/setup.py
+++ b/setup.py
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 # -*- coding: utf-8 -*-
 from distutils.core import setup
 #!/usr/bin/env python
 # -*- coding: utf-8 -*-
 from distutils.core import setup
-from os.path import dirname, abspath, join, normpath, isdir, basename
+from os.path import dirname, abspath, join, normpath, isdir
 from os import listdir
 
 
 from os import listdir
 
 
@@ -9,15 +9,16 @@ def fetch_version():
     """Get version from version.in"""
     return file('VERSION', 'r').readline().strip()
 
     """Get version from version.in"""
     return file('VERSION', 'r').readline().strip()
 
+
 def return_storages():
     "returns all the storage plugins that are living in tiramisu/storage"
     here = dirname(abspath(__file__))
     storages_path = normpath(join(here, 'tiramisu', 'storage'))
 def return_storages():
     "returns all the storage plugins that are living in tiramisu/storage"
     here = dirname(abspath(__file__))
     storages_path = normpath(join(here, 'tiramisu', 'storage'))
-    dir_content = [ content for content in listdir(storages_path) \
-                    if not content =='__pycache__']
-    storages = filter(isdir, [join(storages_path, content) \
+    dir_content = [content for content in listdir(storages_path)
+                   if not content == '__pycache__']
+    storages = filter(isdir, [join(storages_path, content)
                       for content in dir_content])
                       for content in dir_content])
-    storage_list = [basename(storage) for storage in storages]
+    storage_list = ['.'.join(storage.split('/')[-3:]) for storage in storages]
     return storage_list
 
 packages = ['tiramisu', 'tiramisu.storage']
     return storage_list
 
 packages = ['tiramisu', 'tiramisu.storage']
@@ -58,6 +59,6 @@ producing flexible and fast options access.
 
 
 This version requires Python 2.6 or later.
 
 
 This version requires Python 2.6 or later.
-"""
+""",
     packages=packages
 )
     packages=packages
 )